Title 'JMPmix01.sas    2005-1-13  Y.Takahashi' ; 

data d01 ;
    input  animal $ id @@ ;
    do season = '1:autumn', '2:winter', '3:spring', '4:summer' ;
	  input  y @@ ;
	  output ;
	  end ;
datalines ;
Lcl@ 1   0  0  5  3 
Lcl@ 2   3  1  5  4 
Lcl@ 3   4  3  6  2 
R[e 1   4  2  7  8 
R[e 2   5  4  6  6 
R[e 3   7  5  8  9 
;
proc print data=d01 ;
run ;

proc glm data=d01 ;
    class animal id season ;
	model y = animal id(animal) season animal*season;
	test  h=animal  e=id(animal) ;
	run ;
